com.amazonaws.codegen.model.service

## Class ServiceModel

- java.lang.Object
- - com.amazonaws.codegen.model.service.ServiceModel

    public class ServiceModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ServiceModel(ServiceMetadata metadata, Map<String,Operation> operations, Map<String,Shape> shapes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`ServiceMetadata` `getMetadata()`
`Operation` `getOperation(String operationName)` Convenience getter to retrieve an `Operation` by name.
`Map<String,Operation>` `getOperations()`
`Shape` `getShape(String shapeName)` Convenience getter to retrieve a `Shape` by name.
`Map<String,Shape>` `getShapes()`
`void` `setDocumentation(String documentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceModel

    public ServiceModel(ServiceMetadata metadata,
                        Map<String,Operation> operations,
                        Map<String,Shape> shapes)

### Method Detail

#### getMetadata

    public ServiceMetadata getMetadata()

#### getOperations

    public Map<String,Operation> getOperations()

#### getOperation

    public Operation getOperation(String operationName)

Convenience getter to retrieve an `Operation` by name.

Parameters:
  `operationName` - Name of operation to retrieve.
Returns:
  Operation or null if not found.

#### getShapes

    public Map<String,Shape> getShapes()

#### getShape

    public Shape getShape(String shapeName)

Convenience getter to retrieve a `Shape` by name.

Parameters:
  `shapeName` - Name of shape to retrieve.
Returns:
  Shape or null if not found.

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)